angular.module('app.controllers', [])


.controller('faqCtrl', function($scope, $http, LoadingService) {

    LoadingService.show();
    $http.get("http://beta.assistiranimes.net/api.php?faq")
    .then(function(response){
        $scope.faqs = response.data;
        LoadingService.hide();
    });

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('FAQ');
    });

})

.controller('suporteCtrl', function($scope) {

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Suporte');
    });

})

.controller('popularesCtrl', function($scope, $http, LoadingService) {

    LoadingService.show();
    $http.get("http://beta.assistiranimes.net/api.php?populares")
    .then(function(response){
        $scope.populares = response.data;
        LoadingService.hide();
    });

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Populares');
    });

})
   
.controller('noticiasCtrl', function($scope, LoadingService, $http) {

    LoadingService.show();
    $http.get('http://beta.assistiranimes.net/api.php?noticias')
    .then(function(response){

        $scope.noticias = response.data;
        LoadingService.hide();

    }, function (resp) {
            alert("Erro ao carregar! Verifique sua conexao com a internet.");
    });

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Inicio');
    });

})

.controller('lancamentosCtrl', function($scope, LoadingService, $http) {

    LoadingService.show();
    $http.get("http://beta.assistiranimes.net/api.php?latest")
    .then(function(response){
        $scope.ultimos = response.data;
        LoadingService.hide();   
    }, function (resp) {
            alert("Erro ao carregar! Verifique sua conexao com a internet.");
    });

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Lancamentos');
    });

})
 
.controller('dubladosCtrl', function($scope, LoadingService, $http, $ionicFilterBar) {

    LoadingService.show();
    $http.get("http://beta.assistiranimes.net/api.php?categoria=dublado")
    .then(function(response){
        $scope.animes = response.data;

            // Inicio Filtro
            var filterBarInstance;
            $scope.showFilterBar = function () {
                filterBarInstance = $ionicFilterBar.show({
                    items: $scope.animes,
                    filterProperties: ['category_name'],
                    update: function (filteredItems) {
                        $scope.animes = filteredItems;
                    }
                });
            };
            // Fim Filtro

        LoadingService.hide(); 
    }, function (resp) {
            alert("Erro ao carregar! Verifique sua conexao com a internet.");
    });

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Dublados');
    });
    
})

.controller('animesCtrl', function($scope, $http, $stateParams, $ionicFilterBar, LoadingService) {
    
            LoadingService.show();
            $http.get("http://beta.assistiranimes.net/api.php?letra="+$stateParams.letra)
                .then(function(response){
                $scope.animes = response.data;

                // Inicio Filtro
                var filterBarInstance;
                $scope.showFilterBar = function () {
                    filterBarInstance = $ionicFilterBar.show({
                        items: $scope.animes,
                        update: function (filteredItems, filterText) {
                            $scope.animes = filteredItems;
                        }
                    });
                };
                // Fim Filtro
                LoadingService.hide();
            }, function (resp) {
                alert("Erro ao carregar! Verifique sua conexao com a internet.");
            });

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Animes');
    });
  
})

.controller('animescategoriaCtrl', function($scope, $http, $stateParams, $ionicFilterBar, LoadingService) {
  
            LoadingService.show();
            $http.get("http://beta.assistiranimes.net/api.php?categoria="+$stateParams.cat)
                .then(function(response){
                $scope.animes = response.data;

                // Inicio Filtro
                var filterBarInstance;
                $scope.showFilterBar = function () {
                    filterBarInstance = $ionicFilterBar.show({
                        items: $scope.animes,
                        update: function (filteredItems, filterText) {
                            $scope.animes = filteredItems;
                        }
                    });
                };
                // Fim Filtro
                LoadingService.hide();
            }, function (resp) {
                alert("Erro ao carregar! Verifique sua conexao com a internet.");
            });

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Animes Categoria');
    });  
  
})

.controller('animeinfoCtrl', function($scope, $http, $stateParams, favoritosApi, $ionicFilterBar, LoadingService) {   

    LoadingService.show();
    var favoritos = [];
    var achou = 1;
   
    function obterObterFavoritos(){
        favoritos = favoritosApi.getFavoritos();
        $scope.favoritos = favoritos;

        return favoritos;
    }

    obterObterFavoritos();

    var len = favoritos.length;

    for(var i = 0; i < len; i++)
    {
        if(favoritos[i].cid.indexOf($stateParams.id) === -1)
        {}
        else
            achou = 0;
    }

    if(achou === 0)
    {
        $scope.toggle = false;
    }else{
        $scope.toggle = true;
    }

            $http.get("http://beta.assistiranimes.net/api.php?info="+$stateParams.id)
                .then(function(response){
                $scope.animeinfo = response.data;
                window.ga.trackEvent('AnimeInfo', $scope.animeinfo[0].category_name);

            }, function (resp) {
                alert("Erro ao carregar! Verifique sua conexao com a internet.");
            });
        
            $http.get("http://beta.assistiranimes.net/api.php?cat_id="+$stateParams.id)
                .then(function(resp){
                $scope.animes = resp.data;

                // Inicio Filtro
                var filterBarInstance;
                $scope.showFilterBar = function () {
                    filterBarInstance = $ionicFilterBar.show({
                        items: $scope.animes,
                        filterProperties: ['video_title'],
                        update: function (filteredItems) {
                            $scope.animes = filteredItems;
                        }
                    });
                };
                // Fim Filtro

            LoadingService.hide();
            }, function (resp) {
                alert("Erro ao carregar! Verifique sua conexao com a internet.");
            });

            $scope.favoritar = function (fav, id) {  

                for(var i = 0; i < len; i++)
                {
                    if(favoritos[i].cid.indexOf($scope.animeinfo[0].cid) === -1)
                    {}
                    else
                        achou = 0;
                }

                if(achou === 0)
                {
                    //$scope.toggle = false;
                    favoritosApi.deleteFavorito(fav);
                }else{
                    //$scope.toggle = true;
                    favoritosApi.addFavorito(fav);
                }
            };

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Animes Info');
    });
})

.controller('letrasCtrl', function($scope) {  

    $scope.letras = [
    { letra: "#" },{ letra: "A" },{ letra: "B" },{ letra: "C" },{ letra: "D" },{ letra: "E" },
    { letra: "F" },{ letra: "G" },{ letra: "H" },{ letra: "I" },{ letra: "J" },{ letra: "K" },
    { letra: "L" },{ letra: "M" },{ letra: "N" },{ letra: "O" },{ letra: "P" },{ letra: "Q" },
    { letra: "R" },{ letra: "S" },{ letra: "T" },{ letra: "U" },{ letra: "V" },{ letra: "W" },
    { letra: "X" },{ letra: "Y" },{ letra: "Z" }]

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Letras');
    });

})

.controller('categoriasCtrl', function($scope) {  

    $scope.categorias = [
    { cat: "Filme" },{ cat: "OVA" },{ cat: "Dublado" },{ cat: "Shounen" },{ cat: "Shoujo" },{ cat: "Seinen" },{ cat: "Josei" },{ cat: "Romance" },{ cat: "Drama" },{ cat: "Slice of Life" },{ cat: "Escolar" },{ cat: "Esporte" },{ cat: "Fantasia" },{ cat: "Harem" },{ cat: "Ecchi" },{ cat: "Mecha" },{ cat: "Magia" },{ cat: "Poderes" },{ cat: "Ação" },{ cat: "Aventura" },{ cat: "Comédia" },{ cat: "Mistério" },{ cat: "Terror" },{ cat: "Sci-Fi" },{ cat: "Suspense" },{ cat: "Sobrenatural" },{ cat: "Psicológico" },{ cat: "Yuri" },{ cat: "Shõjo-ai" },{ cat: "Yaoi" },{ cat: "Shõen'ai" }
  ];

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Categorias');
    });

})
 
.controller('assistidosCtrl', function($scope, $ionicHistory, assistidosApi) {  

    var assistidos = [];
    $ionicHistory.clearCache();
    
    function obterObterAssistidos(){
        assistidos = assistidosApi.getAssistidos();
        $scope.assistidos = assistidos;

        return assistidos;
    }
    obterObterAssistidos();


    $scope.doRefresh = function(){        
        assistidos = assistidosApi.getAssistidos();
        $scope.assistidos = assistidos;
        $scope.$broadcast('scroll.refreshComplete');

        return assistidos;
    };

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Assistidos');
    });
})

.controller('favoritosCtrl', function($scope, $ionicHistory, favoritosApi) { 

    var favoritos = [];
    $ionicHistory.clearCache();
    
    function obterObterFavoritos(){
        favoritos = favoritosApi.getFavoritos();
        $scope.favoritos = favoritos;

        return favoritos;
    }

    obterObterFavoritos();

    $scope.doRefresh = function(){        
        favoritos = favoritosApi.getFavoritos();
        $scope.favoritos = favoritos;
        $scope.$broadcast('scroll.refreshComplete');

        return favoritos;
    };

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Favoritos');
    }); 

})

.controller('pesquisarCtrl', function($scope, $http) { 

    $scope.buscar = function(texto) {
        $http.get("http://beta.assistiranimes.net/api.php?search="+texto)
            .then(function(response){
            $scope.resultados = response.data;

        if($scope.resultados == null)
            $scope.mensagem = "<p>Anime nao encontrado, verifique se voce digitou corretamente, ou entre em contato com nosso <a ui-sref='suporte'>suporte</a> para que possamos adiciona-lo!</p>";
        else
            $scope.mensagem = '';

        }, function (resp) {
            alert("Erro ao carregar! Verifique sua conexao com a internet.");
        });
    }

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Pesquisar');
    }); 

})
   
.controller('episodiosCtrl', function($scope, $http, $stateParams, assistidosApi, $ionicPlatform) { 

    AdMob.prepareInterstitial({
        adId: admobid.interstitial,
        autoShow: true
    });

    var assistidos = [];
    var achou = 1;
    
    function obterObterAssistidos(){
        assistidos = assistidosApi.getAssistidos();
        $scope.assistidos = assistidos;

        return assistidos;
    }

    obterObterAssistidos();

        $scope.next = function(id, catid) {
            
            $http.get("http://beta.assistiranimes.net/api.php?episodios="+id+"&catid="+catid+"&next")
            .then(function(response){
                $scope.episodio = response.data;
            }, function (resp) {
                alert("Erro ao carregar! Verifique sua conexao com a internet.");
            });

            if($scope.episodio == null)
            {
                $http.get("http://beta.assistiranimes.net/api.php?episodios="+$stateParams.id)
                .then(function(response){
                    $scope.episodio = response.data;
                }, function (resp) {
                    alert("Erro ao carregar! Verifique sua conexao com a internet.");
                });
            }
        };

        $scope.previous = function(id, catid) {
            $http.get("http://beta.assistiranimes.net/api.php?episodios="+id+"&catid="+catid+"&previous")
            .then(function(response){
                $scope.episodio = response.data;
            }, function (resp) {
                alert("Erro ao carregar! Verifique sua conexao com a internet.");
            });

            if($scope.episodio == null)
            {
                $http.get("http://beta.assistiranimes.net/api.php?episodios="+$stateParams.id)
                .then(function(response){
                    $scope.episodio = response.data;
                }, function (resp) {
                    alert("Erro ao carregar! Verifique sua conexao com a internet.");
                });
            }        

        };

    for(var i = 0; i < assistidos.length; i++)
    {
        if(assistidos[i].id.indexOf($stateParams.id) === -1)
        {}
        else
            achou = 0;
    }

    if(achou === 0)
        $scope.toggle = false;
    else
        $scope.toggle = true;

        $http.get("http://beta.assistiranimes.net/api.php?episodios="+$stateParams.id)
            .then(function(response){
            $scope.episodio = response.data;

            $scope.opensys = function(url) {
                try {
                    window.open(url, "_system");
                    window.ga.trackEvent('Download', $scope.episodio[0].video_title);
                }catch (err) {
                    alert(err);
                }
            }

            $scope.abrir = function() {
                window.ga.trackEvent('Play', $scope.episodio[0].video_title);
                    var url = $scope.episodio[0].video_url;

                  var options = {
                    successCallback: function() {
                    },
                    orientation: 'landscape'
                  };

                window.plugins.streamingMedia.playVideo(url, options);
            };


        }, function (resp) {
            alert("Erro ao carregar! Verifique sua conexao com a internet.");
        });

            $scope.assistir = function (fav, id) {  

                for(var i = 0; i < assistidos.length; i++)
                {
                    if(assistidos[i].id.indexOf($scope.episodio[0].id) === -1)
                    {}
                    else
                        achou = 0;
                }

                if(achou === 0)
                    assistidosApi.deleteAssistido(fav);
                else
                {
                    assistidosApi.addAssistido(fav);
                    alert('Episodio adicionado a lista de assistidos');
                }
            };

    $scope.$on('$ionicView.afterEnter', function() {
        window.ga.trackView('Episodios');
    }); 
})
 