angular.module('app.routes', [])

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  .state('noticias', {
    url: '/noticias',
    templateUrl: 'templates/noticias.html',
    controller: 'noticiasCtrl'
  })
  
  .state('animes', {
    url: '/animes/:letra',
    templateUrl: 'templates/animes.html',
    controller: 'animesCtrl'
  })
  
  .state('animeinfo', {
    url: '/animeinfo/:id',
    templateUrl: 'templates/animeinfo.html',
    controller: 'animeinfoCtrl'
  })
  
  .state('animescategoria', {
    url: '/animescategoria/:cat',
    templateUrl: 'templates/animescategoria.html',
    controller: 'animescategoriaCtrl'
  })

  .state('letras', {
    url: '/letras/',
    templateUrl: 'templates/letras.html',
    controller: 'letrasCtrl'
  })

  .state('suporte', {
    url: '/suporte/',
    templateUrl: 'templates/suporte.html',
    controller: 'suporteCtrl'
  })
  
  .state('faq', {
    url: '/faq/',
    templateUrl: 'templates/faq.html',
    controller: 'faqCtrl'
  })
  
  .state('categorias', {
    url: '/categorias/',
    templateUrl: 'templates/categorias.html',
    controller: 'categoriasCtrl'
  })
  
  .state('lancamentos', {
    url: '/lancamentos/',
    templateUrl: 'templates/lancamentos.html',
    controller: 'lancamentosCtrl'
  })
  
  .state('populares', {
    url: '/populares/',
    templateUrl: 'templates/populares.html',
    controller: 'popularesCtrl'
  })

  .state('favoritos', {
    url: '/favoritos/',
    templateUrl: 'templates/favoritos.html',
    controller: 'favoritosCtrl'
  })

  .state('assistidos', {
    url: '/assistidos/',
    templateUrl: 'templates/assistidos.html',
    controller: 'assistidosCtrl'
  })

  .state('pesquisar', {
    url: '/pesquisar/',
    templateUrl: 'templates/pesquisar.html',
    controller: 'pesquisarCtrl'
  })

  .state('dublados', {
    url: '/dublados/',
    templateUrl: 'templates/dublados.html',
    controller: 'dubladosCtrl'
  })

  .state('episodios', {
    url: '/episodios/:id',
    templateUrl: 'templates/episodios.html',
    controller: 'episodiosCtrl'
  })

$urlRouterProvider.otherwise('/lancamentos/')

  

});