angular.module('app.services', [])

.factory('LoadingService', function($ionicLoading) {
return {
  show: function() {
    $ionicLoading.show({
      template: '<ion-spinner></ion-spinner><p>Carregando...</p>'
    });
  },
  hide: function() {
    $ionicLoading.hide();
  }
};
})

.filter('trusted', ['$sce', function ($sce) {
    return function(url) {
        return $sce.trustAsResourceUrl(url);
    };
}])

.filter('dateToISO', function() {
  return function(input) {
    input = new Date(input).toISOString();
    return input;
  };
})

.service('favoritosApi', [function(){
    
    this.getFavoritos = function () {
        var favoritos = [];
        
        if (typeof localStorage.favoritos != 'undefined') {
            favoritos = JSON.parse(localStorage.favoritos);
        }

        return favoritos;
    }
    
    this.addFavorito = function(favorito){
        var favoritos = [];

        if (typeof localStorage.favoritos != 'undefined') {
            favoritos = JSON.parse(localStorage.favoritos);
        }
        
        favoritos.push(favorito);
        
        localStorage.setItem('favoritos', JSON.stringify(favoritos));
    }

    this.deleteFavorito = function (favorito) {
        var favoritos = [];

        if (typeof localStorage.favoritos != 'undefined') {
            favoritos = JSON.parse(localStorage.favoritos);
        }

        favoritos = favoritos.filter(function (favoritos){
            return favoritos.cid !== favorito.cid;
        });

        localStorage.setItem('favoritos', JSON.stringify(favoritos));
    }
}])

.service('assistidosApi', [function(){
    
    this.getAssistidos = function () {
        var assistidos = [];
        
        if (typeof localStorage.assistidos != 'undefined') {
            assistidos = JSON.parse(localStorage.assistidos);
        }

        return assistidos;
    }
    
    this.addAssistido = function(assistido){
        var assistidos = [];

        if (typeof localStorage.assistidos != 'undefined') {
            assistidos = JSON.parse(localStorage.assistidos);
        }
        
        assistidos.push(assistido);
        
        localStorage.setItem('assistidos', JSON.stringify(assistidos));
    }

    this.deleteAssistido = function (assistido) {
        var assistidos = [];

        if (typeof localStorage.assistidos != 'undefined') {
            assistidos = JSON.parse(localStorage.assistidos);
        }

        assistidos = assistidos.filter(function (assistidos){
            return assistidos.id !== assistido.id;
        });

        localStorage.setItem('assistidos', JSON.stringify(assistidos));
    }
}]);

/*.service('LoginService', function ($q, $http) {
    return {
        loginUser: function (loginData) {
            var deferred = $q.defer(),
                promise = deferred.promise;

            $http({
                url: 'http://someurl/login.php',
                method: "POST",
                data: loginData,
                headers: {'Content-Type': 'application/json'}
            })
                .then(function (response) {
                    if (response.data.error.code === "000") {
                        console.log("User login successful: " + JSON.stringify(response.data));
                        deferred.resolve(response.data);
                    } else {
                        console.log("User login failed: " + JSON.stringify(response.data.error));
                        deferred.reject(response.data);
                    }
                }, function (error) {
                    console.log("Server Error on login: " + JSON.stringify(error));
                    deferred.reject(error);
                });

            promise.success = function (fn) {
                promise.then(fn);
                return promise;
            };
            promise.error = function (fn) {
                promise.then(null, fn);
                return promise;
            };
            return promise;
        },
        
        registerUser: function (regData) {
            var deferred = $q.defer(),
                promise = deferred.promise;
            
            $http({
                url: 'http://someurl/register.php',
                method: "POST",
                data: regData,
                headers: {'Content-Type': 'application/json'}
            }).then(function (response) {
                if (response.data.error.code === "000") {
                    console.log("User login successful: " + JSON.stringify(response.data));
                    deferred.resolve(response.data);
                } else {
                    console.log("User login failed: " + JSON.stringify(response.data.error));
                    deferred.reject(response.data);
                }
            }, function (error) {
                console.log("Server Error on login: " + JSON.stringify(error));
                deferred.reject(error);
            });
            
            promise.success = function (fn) {
                promise.then(fn);
                return promise;
            };
            promise.error = function (fn) {
                promise.then(null, fn);
                return promise;
            };
            return promise;
        }
    };
});*/

